<?php
/**
 * JE GroupBuy package
 * @author J-Extension <contact@jextn.com>
 * @link http://www.jextn.com
 * @copyright (C) 2011 - 2012 J-Extension
 * @license GNU/GPL, see LICENSE.php for full license.
**/

// no direct access
defined('_JEXEC') or die;

$params = array('size'=>array('x'=>100, 'y'=>100));
JHTML::_('behavior.modal', 'a.modal', $params);
if($this->print!="1")
{
?>
<style media="print" type="text/css">.dontPrint { display: none }</style>
<span class="dontPrint">
	<a href="index.php?option=com_jegroupbuy&view=couponpage&layout=coupon&payment_id=<?php echo $this->payid; ?>&tmpl=component&print=1" class="modal"  rel="{handler: 'iframe', size: {x: 700, y: 500}}" title="<?php echo JText::_("CC_PRINT_COUPON"); ?>"><img border="0" align="middle" name="Print" alt="<?php echo JText::_("CC_PRINT_COUPON"); ?>" src="<?php echo JURI::base();?>/components/com_jegroupbuy/assets/images/print.png"></a>
</span>
<br/>
<?php
}
echo $this->template;

if($this->print=="1")
{
?>
	<script language="javascript">
	javascript:window.print();
	</script>
<?php
}
else
{
?>
<br/>
<p class="copyright" align="center">
	<?php require_once( JPATH_COMPONENT . DS . 'copyright' . DS . 'copyright.php' ); ?>
</p>
<?php
}
?>